<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "display";
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_print_header;


if ($cm_path) {
  $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_content, cmdb_abstract, cmdb_keywords, cmdb_author_user, cmdb_owner_user, cmdb_viewer_group, cmdb_date_creation, cmdb_date_update, cmdb_type from content3 where cmdb_directory like '$cm_path' and cmdb_type like '%p%' order by upper(cmdb_title)") or db_die();
  $row1 = db_fetch_row($result1);
  if ($row1[1]) { 
    if (fcm_check_constraints (CM_SEC_DISPLA, $user_kurz, $cm_path)) {
      $cm_authornames = fcm_user_names ($row1[5]);
      $cm_ownernames = fcm_user_names ($row1[6]);
      $cm_groupnames = fcm_group_names ($row1[7]);
      echo "<p>" . fcm_curdate_string () . "<br>$cm_path</p>";
      fcm_doc_txtsummary ($cm_authornames[1] . " " . $cm_authornames[2], $cm_ownernames[1] . " " . $cm_ownernames[2], $cm_groupnames[1], $row1[8], $row1[9], $row1[0], $row1[4], $row1[3], fcm_mark_visit ($cm_path, CM_HITTYPE_PAGE), fcm_get_updatehits ($cm_path, CM_HITTYPE_PAGE)); 
      echo fcm_process_markup ($row1[2], $cm_path);
      fcm_show_txtusercomments ($cm_path);
    }
    else {
      fcm_message ($cm_text["needaccess2view"], CM_MSGSTYLE_WARNING);
    }
  }
  else {
      fcm_message ($cm_text["dirnotfound"], CM_MSGSTYLE_ERROR);
  }
}
else { 
  $cm_pppos = strrpos ($cm_path, "/");
  if ($cm_pppos == 0) {
    $cm_tl_path = "/";
  }
  else {
    $cm_tl_path = substr ($cm_path, 0, $cm_pppos);
  }
  $result2 = db_query("select cmdb_title, cmdb_directory, cmdb_parentdir, cmdb_abstract, cmdb_date_update, cmdb_viewer_group, cmdb_type from content3 where cmdb_parentdir = '$cm_tl_path' and cmdb_type like '%p%' " . fcm_access_sqldef ($user_kurz) . " order by upper(cmdb_title)") or db_die();
  while ($row2 = db_fetch_row($result2)) {
    $result4 = db_query("select count(cmdb_directory) from cmcomments3 where cmdb_directory like '$row2[1]'") or db_die();
    $row4 = db_fetch_row($result4);
    $result6 = db_query("select cmdb_directory, cmdb_totalhits from cmhits3 where cmdb_directory like '$row2[1]' and cmdb_type like '%p%'") or db_die();
    $row6 = db_fetch_row($result6);
    fcm_articlelist_box ($row2[1], $row2[0], $row2[3], $row2[4], true, $row4[0], $row6[1]);
    $result3 = db_query("select cmdb_title, cmdb_directory, cmdb_parentdir, cmdb_abstract, cmdb_date_update, cmdb_type from content3 where (cmdb_parentdir like '$row2[1]' or cmdb_parentdir like '$row2[1]/%') and cmdb_type like '%p%' " . fcm_access_sqldef ($user_kurz) . " order by cmdb_date_update desc") or db_die();
    $cm_rowcount = 1;
    while ($row3 = db_fetch_row($result3)) {
      $result5 = db_query("select count(cmdb_directory) from cmcomments3 where cmdb_directory like '$row3[1]'") or db_die();
      $row5 = db_fetch_row($result5);
      $result7 = db_query("select cmdb_directory, cmdb_totalhits from cmhits3 where cmdb_directory like '$row3[1]' and cmdb_type like '%p%'") or db_die();
      $row7 = db_fetch_row($result7);
      fcm_articlelist_box ($row3[1], $row3[0], $row3[3], $row3[4], false, $row5[0], $row7[1]);
      $cm_rowcount += 1;
      if ($cm_rowcount > $cm_home_maxleafs) {
        break;
      }
    }
  }
  echo "<hr>";
  fcm_storerdf ("http://slashdot.org/slashdot.rdf", "Slashdot", 500);
  fcm_storerdf ("http://www.advogato.org/rss/articles.xml", "Advogato", 500);
  fcm_storerdf ("http://www.wired.com/news_drop/netcenter/netcenter.rdf", "Wired", 500);
  fcm_storerdf ("http://www.theregister.co.uk/tonys/slashdot.rdf", "The Register", 500);
  fcm_display_txtrdfbox ("The Register", fcm_readrdf ("The Register", 5));
  fcm_display_txtrdfbox ("Slashdot", fcm_readrdf ("Slashdot", 5));
  fcm_display_txtrdfbox ("Wired", fcm_readrdf ("Wired", 5));
  fcm_display_txtrdfbox ("Advogato", fcm_readrdf ("Advogato", 5));
}


echo $cm_print_footer;

?>

