<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "checker";
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;


if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
    echo "<p><strong>{$cm_text["check-welcome"]}</strong></p>";
    echo "<hr><p>{$cm_text["check-chkcontent"]}</p>";
    $cm_indexpath = str_replace (basename (__FILE__), "", __FILE__) . $cm_mainroot;
    $result1 = db_query("select cmdb_type, cmdb_directory, cmdb_parentdir, cmdb_author_user, cmdb_owner_user, cmdb_viewer_group, id from content3 where cmdb_type like '%p%' order by cmdb_directory") or db_die();
    while ($row1 = db_fetch_row($result1)) {
      $cm_chk_error = false;
      echo "<p><strong>{$cm_text["check-record"]} $row1[6]</strong><br>";
      // Check existence of directory.
      if (!file_exists ($cm_indexpath . $row1[1])) {
        echo "{$cm_text["check-nodir"]} $row1[1]<br>";
        $cm_chk_error = true;
      }
      // Check existence of parent directory.
      $cm_apparent_parent = substr ($row1[1], 0, strrpos ($row1[1], "/"));
      $cm_apparent_parent2 = $cm_apparent_parent;
      if (!$cm_apparent_parent)
        $cm_apparent_parent = "/";
      if ($cm_apparent_parent = $row1[2]) {
        if (!file_exists ($cm_indexpath . $cm_apparent_parent2)) {
          echo "{$cm_text["check-noparentdir"]} " . $cm_indexpath . $cm_apparent_parent2  . "<br>";
          $cm_chk_error = true;
        }
      }
      else {
        echo "{$cm_text["check-invalidparent"]} " . $cm_indexpath . $cm_apparent_parent2  . "<br>";
        $cm_chk_error = true;
      }
      // Check existence of author.
      $result2 = db_query("select kurz from users where kurz = '$row1[3]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "{$cm_text["check-noauthor"]} $row1[3]<br>";
        $cm_chk_error = true;
      }
      // Check existence of owner.
      $result2 = db_query("select kurz from users where kurz = '$row1[4]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "{$cm_text["check-noowner"]} $row1[4]<br>";
        $cm_chk_error = true;
      }
      // Check existence of viewer group.
      $result2 = db_query("select kurz from gruppen where kurz = '$row1[5]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "{$cm_text["check-noviewer"]} $row1[5]<br>";
        $cm_chk_error = true;
      }
      if (!$cm_chk_error) {
        echo "{$cm_text["check-ok"]}<br>";
      }
      echo "</p>";
    }
    
    
    
    echo "<hr><p>{$cm_text["check-chkhits"]}</p>";
    echo "<p>";
    $result1 = db_query("select cmdb_type, cmdb_directory, id from cmhits3 where cmdb_type like '%p%' order by cmdb_directory") or db_die();
    while ($row1 = db_fetch_row($result1)) {
      echo "<strong>{$cm_text["check-record"]} $row1[2]</strong><br>";
      $cm_chk_error = false;
      // Check existence of referenced page.
      $result2 = db_query("select cmdb_type, cmdb_directory from content3 where cmdb_directory = '$row1[1]' and cmdb_type like '%p%' order by cmdb_directory") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "{$cm_text["check-nopage"]} $row1[1]<br>";
        $cm_chk_error = true;
      }
      if (!$cm_chk_error) {
        echo "{$cm_text["check-ok"]}<br>";
      }
    }
    echo "</p>";
    
    
    
    echo "<hr><p>{$cm_text["check-chkcomments"]}</p>";
    echo "<p>";
    $result1 = db_query("select cmdb_type, cmdb_directory, cmdb_author_user, id from cmcomments3 where cmdb_type like '%p%' order by cmdb_directory") or db_die();
    while ($row1 = db_fetch_row($result1)) {
      echo "<strong>{$cm_text["check-record"]} $row1[3]</strong><br>";
      $cm_chk_error = false;
      // Check existence of referenced page.
      $result2 = db_query("select cmdb_type, cmdb_directory from content3 where cmdb_directory = '$row1[1]' and cmdb_type like '%p%' order by cmdb_directory") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "{$cm_text["check-nopage"]} $row1[1]<br>";
        $cm_chk_error = true;
      }
      // Check existence of author.
      $result2 = db_query("select kurz from users where kurz = '$row1[2]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "{$cm_text["check-noauthor"]} $row1[2]<br>";
        $cm_chk_error = true;
      }
      if (!$cm_chk_error) {
        echo "{$cm_text["check-ok"]}<br>";
      }
    }
    echo "</p>";
}
else {
  echo "<p><strong>{$cm_text["check-welcome"]}</strong></p>";
  echo "<h3>{$cm_text["check-nosuperuser"]}</h3>";
}


echo $cm_html_footer;
?>

